Namespace: webdriver
View Source

# class UnhandledAlertError

    Error
      └ bot.Error
          └ webdriver.UnhandledAlertError

An error returned to indicate that there is an unhandled modal dialog on the current page.

### new UnhandledAlertError(message, text, alert)

Parameters

message`string`

  The error message.

text`string`

  The text displayed with the unhandled alert.

alert`webdriver.Alert`

  The alert handle.

## Instance Methods

### getAlertText()code »

Returns

`string`

  The text displayed with the unhandled alert.

### toString()code »

Defined by: bot.Error

Returns

`string`

  The string representation of this error.

## Instance Properties

code `number`

  This error's status code.

description`string`

  IE-only.

fileName`string`

  Mozilla-only

isAutomationError `boolean`

  Flag used for duck-typing when this code is embedded in a Firefox extension. This is required since an Error thrown in one component and then reported to another will fail instanceof checks in the second component.

lineNumber`number`

  Mozilla-only.

message `string`
  No description.

name `string`
  No description.

sourceURL`?`

  Doesn't seem to exist, but closure/debug.js references it.

stack `string`
  No description.

state `string`
  No description.